using UnityEngine;
using System.Collections;

public abstract class RoofTrigger : MonoBehaviour 
{
    public GameObject[] Roof;
    
    protected abstract bool RoofVisible { get; }

    public void OnTriggerAreaEntered()
    {
        if (RoofVisible)
        {
            SoundEffectsPlayer.Instance.Play("sfxporta");
        }
        Roof.ForEach(roof => roof.SetActive(RoofVisible));
    }
}
